<template>
  <div class="section3">
    <div class="lorem-ipsum">LOREM IPSUM</div>
    <div class="container">
      <div class="card" v-for="item in showData" :key="item">
        <img :src="item.thumbnail" alt="Image" />
        <div class="card-details">
          <div class="content-title">
            {{ item.title }}
          </div>
          <div class="content-info">
            {{ item.description }}
          </div>
          <div class="content-info-price"> ฿{{ item.price }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  data() {
    return {
      showData: []
    }
  },
  mounted() {
    this.getData()
  },
  methods: {
    getData() {
      axios.get('https://dummyjson.com/products?limit=3').then((res) => {
        let showData = res.data.products
        this.showData = showData
      })
    }
  }
}
</script>
<style scoped>
.section3 {
  text-align: center;
}
.lorem-ipsum {
  font-weight: 700;
  font-size: 60px;
  color: #000000;
  padding-top: 8rem;
}
.container {
  display: flex;
  flex-direction: row;
  margin: 4rem 4.244rem 0 4.244rem;
  padding-bottom: 11.45rem;
  justify-content: center;
}
.card {
  display: flex;
  flex-direction: column;
  box-shadow: 0px 4px 25px rgba(0, 0, 0, 0.06);
  border-radius: 4px;
  background-color: #fff;
  margin: 10px;
  width: 26rem;
  height: 30rem;
}
.card-details {
  display: flex;
  flex-direction: column;
}
.card img {
  object-fit: cover;
  height: 200px;
  border-radius: 4px 4px 0px 0px;
}

.content-title {
  text-align: start;
  padding: 30px;
}

.content-info {
  text-align: start;
  padding: 2px 30px;
  height: 4rem;
}
.content-info-price {
  text-align: end;
  padding: 2px 30px;
  margin-top: 5rem;
  font-size: 15px;
  height: 30rem;
}

.card .content-title {
  font-weight: 600;
  font-size: 26px;
  line-height: 32px;
}
.card .content-info {
  font-weight: 400;
  font-size: 18px;
  line-height: 23.4px;
  /* padding: 0 3rem 0 0; */
}
@media only screen and (max-width: 700px) {
  .section3 {
    text-align: center;
  }

  .lorem-ipsum {
    font-size: 30px;
  }
  .container {
    display: flex;
    flex-direction: column;
    margin-left: 8px;
    padding-bottom: 5rem;
  }
  .card {
    display: flex;
    flex-direction: column;
    box-shadow: 0px 4px 25px rgba(0, 0, 0, 0.06);
    border-radius: 4px;
    background-color: #fff;
    width: 22rem;
    height: 30rem;
  }
}
</style>
